using IoC.inerface;

namespace IoC.services
{
    /// <summary>
    /// 有注入
    /// </summary>
    public class MineIOC
    {
        private readonly ISwapable aunt;

        /// <summary>
        /// 依賴抽象[打掃動作的人]
        /// </summary>
        /// <param name="swapable"></param>
        public MineIOC(ISwapable swapable)
        {
            aunt = swapable;
        }

        public void Room()
        {
            aunt.Swapping();
        }
    }
}
